Index: branches/dev_001_SBC/NEMO/C1D_SRC/diawri1d.F90
===================================================================
--- branches/dev_001_SBC/NEMO/C1D_SRC/diawri1d.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/C1D_SRC/diawri1d.F90	(revision 881)
@@ -193,5 +193,5 @@
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
 
-#if ! defined key_dynspg_rl && defined key_ice_lim
+#if ! defined key_dynspg_rl && defined key_lim2
          ! sowaflup = sowaflep + sorunoff + sowafldp + a term associated to
          !    internal damping to Levitus that can be diagnosed from others
@@ -237,5 +237,5 @@
 #endif
 
-#if ( defined key_coupled && ! defined key_ice_lim ) 
+#if ( defined key_coupled && ! defined key_lim2 ) 
          CALL histdef( nid_T, "sohefldp", "Surface Heat Flux: Damping"         , "W/m2"   ,   &  ! qrp
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
@@ -259,5 +259,5 @@
 #endif
 
-#if defined key_ice_lim && defined key_coupled
+#if defined key_lim2 && defined key_coupled
          CALL histdef( nid_T,"soicetem" , "Ice Surface Temperature"            , "K"      ,   &  ! tn_ice
             &          jpi, jpj, nh_T, 1  , 1, 1  , -99 , 32, clop, zsto, zout )
@@ -364,5 +364,5 @@
       CALL histwrite( nid_T, "sosstsst", it, tn(:,:,1)     , ndim_hT, ndex_hT )   ! sea surface temperature
       CALL histwrite( nid_T, "sosaline", it, sn(:,:,1)     , ndim_hT, ndex_hT )   ! sea surface salinity
-#if ! defined key_dynspg_rl && defined key_ice_lim
+#if ! defined key_dynspg_rl && defined key_lim2
       CALL histwrite( nid_T, "iowaflup", it, fsalt(:,:)    , ndim_hT, ndex_hT )   ! ice=>ocean water flux
       CALL histwrite( nid_T, "sowaflep", it, fmass(:,:)    , ndim_hT, ndex_hT )   ! atmos=>ocean water flux
@@ -396,5 +396,5 @@
       CALL histwrite( nid_T, "sosafldp", it, zw2d          , ndim_hT, ndex_hT )   ! salt flux damping
 #endif
-#if ( defined key_coupled && ! defined key_ice_lim ) 
+#if ( defined key_coupled && ! defined key_lim2 ) 
       CALL histwrite( nid_T, "sohefldp", it, qrp           , ndim_hT, ndex_hT )   ! heat flux damping
       CALL histwrite( nid_T, "sowafldp", it, erp           , ndim_hT, ndex_hT )   ! freshwater flux damping
@@ -411,5 +411,5 @@
       CALL histwrite( nid_T, "sohtc300", it, htc3          , ndim_hT, ndex_hT )   ! first 300m heaat content
 #endif
-#if defined key_ice_lim &&  defined key_coupled 
+#if defined key_lim2 &&  defined key_coupled 
       CALL histwrite( nid_T, "soicetem", it, tn_ice        , ndim_hT, ndex_hT )   ! surf. ice temperature
       CALL histwrite( nid_T, "soicealb", it, alb_ice       , ndim_hT, ndex_hT )   ! ice albedo
Index: branches/dev_001_SBC/NEMO/C1D_SRC/icestp1d.F90
===================================================================
--- branches/dev_001_SBC/NEMO/C1D_SRC/icestp1d.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/C1D_SRC/icestp1d.F90	(revision 881)
@@ -6,8 +6,8 @@
    !! History :   9.0  !  04-10  (C. Ethe)  from icestp, 1D configuration
    !!----------------------------------------------------------------------
-#if defined key_cfg_1d && defined key_ice_lim
+#if defined key_cfg_1d && defined key_lim2
    !!----------------------------------------------------------------------
    !!   'key_cfg_1d'  .AND.                                1D Configuration
-   !!   'key_ice_lim'                                     Lim sea-ice model
+   !!   'key_lim2'                                        Lim sea-ice model
    !!----------------------------------------------------------------------
    !!----------------------------------------------------------------------
@@ -18,14 +18,14 @@
    USE in_out_manager  ! I/O manager
    USE ice_oce         ! ice variables
-   USE dom_ice         ! LIM sea-ice domain
+   USE dom_ice_2       ! LIM sea-ice domain
    USE sbc_oce         ! surface boundary condition: ocean
    USE sbc_ice         ! surface boundary condition: ice
    USE daymod          ! calendar
    USE phycst          ! Define parameters for the routines
-   USE ice             ! ice variables
+   USE ice_2           ! ice variables
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
-   USE limthd
-   USE limwri
-   USE limrst
+   USE limthd_2
+   USE limwri_2
+   USE limrst_2
 
    USE tradmp          ! damping salinity trend
Index: branches/dev_001_SBC/NEMO/LIM_SRC/dom_ice.F90
===================================================================
--- branches/dev_001_SBC/NEMO/LIM_SRC/dom_ice.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/LIM_SRC/dom_ice.F90	(revision 881)
@@ -1,10 +1,10 @@
-MODULE dom_ice
+MODULE dom_ice_2
    !!======================================================================
    !!                   ***  MODULE  dom_ice  ***
-   !! LIM Sea Ice :   Domain  variables
+   !! LIM 2.0 Sea Ice :   Domain  variables
    !!======================================================================
    !! History :   2.0  !  03-08  (C. Ethe)  Free form and module
    !!----------------------------------------------------------------------
-
+#if defined key_lim2
    !!----------------------------------------------------------------------
    !!   LIM 2.0, UCL-LOCEAN-IPSL (2005)
@@ -12,5 +12,5 @@
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-   USE par_ice
+   USE par_ice_2
 
    IMPLICIT NONE
@@ -33,3 +33,4 @@
 
    !!======================================================================
-END MODULE dom_ice
+#endif
+END MODULE dom_ice_2
Index: branches/dev_001_SBC/NEMO/LIM_SRC/ice.F90
===================================================================
--- branches/dev_001_SBC/NEMO/LIM_SRC/ice.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/LIM_SRC/ice.F90	(revision 881)
@@ -1,3 +1,3 @@
-MODULE ice
+MODULE ice_2
    !!======================================================================
    !!                        ***  MODULE ice  ***
@@ -6,9 +6,13 @@
    !! History :  2.0  !  03-08  (C. Ethe)  F90: Free form and module
    !!----------------------------------------------------------------------
-#if defined key_ice_lim
+#if defined key_lim2
    !!----------------------------------------------------------------------
-   !!   'key_ice_lim' :                                   LIM sea-ice model
+   !!   'key_lim2' :                                  LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
-   USE par_ice          ! LIM sea-ice parameters
+   !!  LIM 2.0, UCL-LOCEAN-IPSL (2006)
+   !! $Id$
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
+   USE par_ice_2          ! LIM sea-ice parameters
 
    IMPLICIT NONE
@@ -99,12 +103,8 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option         Empty module            NO LIM sea-ice model
+   !!   Default option         Empty module        NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
 #endif
 
-   !!----------------------------------------------------------------------
-   !!  LIM 2.0, UCL-LOCEAN-IPSL (2006)
-   !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!======================================================================
-END MODULE ice
+END MODULE ice_2
Index: branches/dev_001_SBC/NEMO/LIM_SRC/iceini.F90
===================================================================
--- branches/dev_001_SBC/NEMO/LIM_SRC/iceini.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/LIM_SRC/iceini.F90	(revision 881)
@@ -1,20 +1,20 @@
-MODULE iceini
+MODULE iceini_2
    !!======================================================================
    !!                       ***  MODULE iceini   ***
-   !!   Sea-ice model : LIM Sea ice model Initialization
+   !!   Sea-ice model : LIM 2.0 Sea ice model Initialization
    !!======================================================================
    !! History :   1.0  !  02-08  (G. Madec)  F90: Free form and modules
    !!             2.0  !  03-08  (C. Ethe)  add ice_run
    !!----------------------------------------------------------------------
-#if defined key_ice_lim
+#if defined key_lim2
    !!----------------------------------------------------------------------
-   !!   'key_ice_lim' :                                   LIM sea-ice model
+   !!   'key_lim2' :                                  LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
    !!----------------------------------------------------------------------
-   !!   ice_init       : sea-ice model initialization
-   !!   ice_run        : Definition some run parameter for ice model
+   !!   ice_init_2       : sea-ice model initialization
+   !!   ice_run_2        : Definition some run parameter for ice model
    !!----------------------------------------------------------------------
    USE dom_oce
-   USE dom_ice
+   USE dom_ice_2
    USE ice_oce         ! ice variables
    USE sbc_oce         ! surface boundary condition: ocean
@@ -22,8 +22,8 @@
    USE phycst          ! Define parameters for the routines
    USE ocfzpt
-   USE ice
-   USE limmsh
-   USE limistate
-   USE limrst   
+   USE ice_2
+   USE limmsh_2
+   USE limistate_2
+   USE limrst_2   
    USE ini1d           ! initialization of the 1D configuration
    USE in_out_manager
@@ -32,5 +32,5 @@
    PRIVATE
 
-   PUBLIC   ice_init                 ! called by opa.F90
+   PUBLIC   ice_init_2               ! called by opa.F90
 
    LOGICAL , PUBLIC               ::   ln_limdyn = .TRUE.   !: flag for ice dynamics (T) or not (F)
@@ -47,7 +47,7 @@
 CONTAINS
 
-   SUBROUTINE ice_init
+   SUBROUTINE ice_init_2
       !!----------------------------------------------------------------------
-      !!                  ***  ROUTINE ice_init  ***
+      !!                  ***  ROUTINE ice_init_2  ***
       !!
       !! ** purpose :   
@@ -60,5 +60,5 @@
       CALL ctlopn(numnam_ice,namelist_icename,'OLD', 'FORMATTED', 'SEQUENTIAL',   &
                      1,numout,.FALSE.,1)      
-      CALL ice_run                    !  read in namelist some run parameters
+      CALL ice_run_2                    !  read in namelist some run parameters
                  
       ! Louvain la Neuve Ice model
@@ -66,11 +66,11 @@
       rdt_ice = nn_fsbc * rdttra(1)
 
-      CALL lim_msh                    ! ice mesh initialization
+      CALL lim_msh_2                  ! ice mesh initialization
      
       ! Initial sea-ice state
       IF( .NOT.ln_rstart ) THEN
-         CALL lim_istate              ! start from rest: sea-ice deduced from sst
+         CALL lim_istate_2            ! start from rest: sea-ice deduced from sst
       ELSE
-         CALL lim_rst_read            ! start from a restart file
+         CALL lim_rst_read_2          ! start from a restart file
       ENDIF
       
@@ -81,10 +81,10 @@
 # endif
       !
-   END SUBROUTINE ice_init
+   END SUBROUTINE ice_init_2
 
 
-   SUBROUTINE ice_run
+   SUBROUTINE ice_run_2
       !!-------------------------------------------------------------------
-      !!                  ***  ROUTINE ice_run ***
+      !!                  ***  ROUTINE ice_run_2 ***
       !!                 
       !! ** Purpose :   Definition some run parameter for ice model
@@ -114,15 +114,15 @@
       ENDIF
       !
-   END SUBROUTINE ice_run
+   END SUBROUTINE ice_run_2
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option :        Empty module           NO LIM sea-ice model
+   !!   Default option :        Empty module       NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE ice_init        ! Empty routine
-   END SUBROUTINE ice_init
+   SUBROUTINE ice_init_2      ! Empty routine
+   END SUBROUTINE ice_init_2
 #endif
 
    !!======================================================================
-END MODULE iceini
+END MODULE iceini_2
Index: branches/dev_001_SBC/NEMO/LIM_SRC/limadv.F90
===================================================================
--- branches/dev_001_SBC/NEMO/LIM_SRC/limadv.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/LIM_SRC/limadv.F90	(revision 881)
@@ -1,17 +1,17 @@
-MODULE limadv 
+MODULE limadv_2 
    !!======================================================================
-   !!                       ***  MODULE limadv   ***
-   !! LIM sea-ice model : sea-ice advection
+   !!                       ***  MODULE limadv_2   ***
+   !! LIM 2.0 sea-ice model : sea-ice advection
    !!======================================================================
-#if defined key_ice_lim
-   !!----------------------------------------------------------------------
-   !!   'key_ice_lim'                                     LIM sea-ice model
-   !!----------------------------------------------------------------------
-   !!   lim_adv_x  : advection of sea ice on x axis
-   !!   lim_adv_y  : advection of sea ice on y axis
+#if defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_lim2'                                    LIM 2.0 sea-ice model
+   !!----------------------------------------------------------------------
+   !!   lim_adv_x_2  : advection of sea ice on x axis
+   !!   lim_adv_y_2  : advection of sea ice on y axis
    !!----------------------------------------------------------------------
    !! * Modules used
    USE dom_oce
-   USE dom_ice
+   USE dom_ice_2
    USE ice_oce         ! ice variables
    USE in_out_manager  ! I/O manager
@@ -23,6 +23,6 @@
 
    !! * Routine accessibility
-   PUBLIC lim_adv_x    ! called by lim_trp
-   PUBLIC lim_adv_y    ! called by lim_trp
+   PUBLIC lim_adv_x_2    ! called by lim_trp
+   PUBLIC lim_adv_y_2    ! called by lim_trp
 
    !! * Module variables
@@ -39,8 +39,8 @@
 CONTAINS
 
-   SUBROUTINE lim_adv_x( pdf, put , pcrh, psm , ps0 ,   &
-      &                  psx, psxx, psy , psyy, psxy )
+   SUBROUTINE lim_adv_x_2( pdf, put , pcrh, psm , ps0 ,   &
+      &                    psx, psxx, psy , psyy, psxy )
       !!---------------------------------------------------------------------
-      !!                **  routine lim_adv_x  **
+      !!                **  routine lim_adv_x_2  **
       !!  
       !! ** purpose :   Computes and adds the advection trend to sea-ice
@@ -232,11 +232,11 @@
       ENDIF
 
-   END SUBROUTINE lim_adv_x
-
-
-   SUBROUTINE lim_adv_y( pdf, pvt , pcrh, psm , ps0 ,   &
-      &                  psx, psxx, psy , psyy, psxy )
+   END SUBROUTINE lim_adv_x_2
+
+
+   SUBROUTINE lim_adv_y_2( pdf, pvt , pcrh, psm , ps0 ,   &
+      &                    psx, psxx, psy , psyy, psxy )
       !!---------------------------------------------------------------------
-      !!                **  routine lim_adv_y  **
+      !!                **  routine lim_adv_y_2  **
       !!            
       !! ** purpose :   Computes and adds the advection trend to sea-ice 
@@ -432,17 +432,17 @@
       ENDIF
 
-   END SUBROUTINE lim_adv_y
+   END SUBROUTINE lim_adv_y_2
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option            Dummy module         NO LIM sea-ice model
+   !!   Default option            Dummy module     NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE lim_adv_x         ! Empty routine
-   END SUBROUTINE lim_adv_x
-   SUBROUTINE lim_adv_y           ! Empty routine
-   END SUBROUTINE lim_adv_y
+   SUBROUTINE lim_adv_x_2         ! Empty routine
+   END SUBROUTINE lim_adv_x_2
+   SUBROUTINE lim_adv_y_2         ! Empty routine
+   END SUBROUTINE lim_adv_y_2
 
 #endif
 
-END MODULE limadv
+END MODULE limadv_2
Index: branches/dev_001_SBC/NEMO/LIM_SRC/limdia.F90
===================================================================
--- branches/dev_001_SBC/NEMO/LIM_SRC/limdia.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/LIM_SRC/limdia.F90	(revision 881)
@@ -1,5 +1,5 @@
-MODULE limdia
+MODULE limdia_2
    !!======================================================================
-   !!                       ***  MODULE limdia   ***
+   !!                       ***  MODULE limdia_2   ***
    !!                      diagnostics of ice model 
    !!======================================================================
@@ -8,20 +8,20 @@
    !!             9.0  !  06-08  (S. Masson)  change frequency output control
    !!-------------------------------------------------------------------
-#if defined key_ice_lim
-   !!----------------------------------------------------------------------
-   !!   'key_ice_lim' :                                   LIM sea-ice model
-   !!----------------------------------------------------------------------
-   !!----------------------------------------------------------------------
-   !!   lim_dia      : computation of the time evolution of keys var.
-   !!   lim_dia_init : initialization and namelist read
+#if defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_lim2' :                                  LIM 2.0 sea-ice model
+   !!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !!   lim_dia_2      : computation of the time evolution of keys var.
+   !!   lim_dia_init_2 : initialization and namelist read
    !!----------------------------------------------------------------------
    USE phycst          ! 
-   USE par_ice         ! ice parameters
+   USE par_ice_2       ! ice parameters
    USE ice_oce         ! ice variables
    USE sbc_oce         ! surface boundary condition variables
    USE daymod          !
-   USE dom_ice         !
-   USE ice             !
-   USE limistate       !
+   USE dom_ice_2       !
+   USE ice_2           !
+   USE limistate_2     !
    USE in_out_manager  ! I/O manager
 
@@ -29,5 +29,5 @@
    PRIVATE
 
-   PUBLIC               lim_dia            ! called by ice_step
+   PUBLIC               lim_dia_2          ! called by sbc_ice_lim_2
    INTEGER, PUBLIC ::   ntmoy   = 1 ,   &  !: instantaneous values of ice evolution or averaging ntmoy
       &                 ninfo   = 1        !: frequency of ouputs on file ice_evolu in case of averaging
@@ -65,7 +65,7 @@
 CONTAINS
 
-   SUBROUTINE lim_dia( kt )
+   SUBROUTINE lim_dia_2( kt )
       !!--------------------------------------------------------------------
-      !!                  ***  ROUTINE lim_dia  ***
+      !!                  ***  ROUTINE lim_dia_2  ***
       !!   
       !! ** Purpose : Computation and outputs on file ice.evolu 
@@ -83,5 +83,5 @@
       !!-------------------------------------------------------------------
 
-      IF( kt == nit000 )   CALL lim_dia_init   ! initialisation of ice_evolu file      
+      IF( kt == nit000 )   CALL lim_dia_init_2  ! initialisation of ice_evolu file      
 
       ! computation of key variables at each time step   
@@ -163,10 +163,10 @@
        ENDIF
        !
-    END SUBROUTINE lim_dia
+    END SUBROUTINE lim_dia_2
  
 
-    SUBROUTINE lim_dia_init
+    SUBROUTINE lim_dia_init_2
        !!-------------------------------------------------------------------
-       !!                  ***  ROUTINE lim_dia_init  ***
+       !!                  ***  ROUTINE lim_dia_init_2  ***
        !!             
        !! ** Purpose : Preparation of the file ice_evolu for the output of
@@ -191,6 +191,6 @@
        IF(lwp) THEN
           WRITE(numout,*)
-          WRITE(numout,*) 'lim_dia_init : ice parameters for ice diagnostics '
-          WRITE(numout,*) '~~~~~~~~~~~~'
+          WRITE(numout,*) 'lim_dia_init_2 : ice parameters for ice diagnostics '
+          WRITE(numout,*) '~~~~~~~~~~~~~~'
           WRITE(numout,*) '   format of the output values                                 fmtinf = ', fmtinf
           WRITE(numout,*) '   number of variables written in one line                     nfrinf = ', nfrinf 
@@ -275,15 +275,15 @@
 1111   FORMAT( 3(F7.1,1X,F7.3,1X),I3,A )  
       !
-    END SUBROUTINE lim_dia_init
+    END SUBROUTINE lim_dia_init_2
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option :                               NO LIM sea-ice model
+   !!   Default option :                           NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE lim_dia         ! Empty routine
-   END SUBROUTINE lim_dia
+   SUBROUTINE lim_dia_2         ! Empty routine
+   END SUBROUTINE lim_dia_2
 #endif
 
    !!======================================================================
-END MODULE limdia
+END MODULE limdia_2
Index: branches/dev_001_SBC/NEMO/LIM_SRC/limdmp.F90
===================================================================
--- branches/dev_001_SBC/NEMO/LIM_SRC/limdmp.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/LIM_SRC/limdmp.F90	(revision 881)
@@ -1,20 +1,20 @@
-MODULE limdmp
+MODULE limdmp_2
    !!======================================================================
-   !!                       ***  MODULE limdmp   ***
+   !!                       ***  MODULE limdmp_2   ***
    !!  Ice model : restoring Ice thickness and Fraction leads
    !!======================================================================
    !! History :   2.0  !  04-04 (S. Theetten) Original code
    !!----------------------------------------------------------------------
-#if defined key_ice_lim   &&   defined key_tradmp
+#if defined key_lim2   &&   defined key_tradmp
    !!----------------------------------------------------------------------
-   !!   'key_ice_lim'  AND                                LIM sea-ice model
+   !!   'key_lim2'  AND                               LIM 2.0 sea-ice model
    !!   'key_tradmp'                                                Damping
    !!----------------------------------------------------------------------
    !!----------------------------------------------------------------------
-   !!   lim_dmp      : ice model damping
+   !!   lim_dmp_2      : ice model damping
    !!----------------------------------------------------------------------
    USE in_out_manager  ! I/O manager
    USE phycst          ! physical constants
-   USE ice
+   USE ice_2
    USE ice_oce
    USE tradmp
@@ -27,5 +27,5 @@
    PRIVATE
 
-   PUBLIC   lim_dmp     ! called by ice_step
+   PUBLIC   lim_dmp_2     ! called by ice_step_2
    
    INTEGER                        ::   nice1, nice2,  &  ! first and second record used
@@ -46,7 +46,7 @@
 CONTAINS
 
-   SUBROUTINE lim_dmp(kt)
+   SUBROUTINE lim_dmp_2(kt)
       !!-------------------------------------------------------------------
-      !!                   ***  ROUTINE lim_dmp ***
+      !!                   ***  ROUTINE lim_dmp_2 ***
       !!
       !! ** purpose : ice model damping : restoring ice thickness and 
@@ -60,5 +60,5 @@
       !!---------------------------------------------------------------------
       !
-      CALL dta_lim( kt )
+      CALL dta_lim_2( kt )
 
       DO jj = 2, jpjm1
@@ -69,10 +69,10 @@
       END DO
       !
-   END SUBROUTINE lim_dmp
+   END SUBROUTINE lim_dmp_2
 
 
-   SUBROUTINE dta_lim( kt ) 
+   SUBROUTINE dta_lim_2( kt ) 
       !!----------------------------------------------------------------------
-      !!                   ***  ROUTINE dta_lim  ***
+      !!                   ***  ROUTINE dta_lim_2  ***
       !!
       !! ** Purpose :   Reads monthly ice thickness and fraction lead  data
@@ -167,5 +167,5 @@
       IF( kt == nitend )   CALL iom_close( inumice_dmp )
       !
-   END SUBROUTINE dta_lim
+   END SUBROUTINE dta_lim_2
 
 #else
@@ -174,9 +174,9 @@
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE lim_dmp( kt )        ! Dummy routine
-      WRITE(*,*) 'lim_dmp: You should not see this print! error? ', kt
-   END SUBROUTINE lim_dmp
+   SUBROUTINE lim_dmp_2( kt )        ! Dummy routine
+      WRITE(*,*) 'lim_dmp_2: You should not see this print! error? ', kt
+   END SUBROUTINE lim_dmp_2
 #endif
 
    !!======================================================================
-END MODULE limdmp
+END MODULE limdmp_2
Index: branches/dev_001_SBC/NEMO/LIM_SRC/limdyn.F90
===================================================================
--- branches/dev_001_SBC/NEMO/LIM_SRC/limdyn.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/LIM_SRC/limdyn.F90	(revision 881)
@@ -1,5 +1,5 @@
-MODULE limdyn
+MODULE limdyn_2
    !!======================================================================
-   !!                     ***  MODULE  limdyn  ***
+   !!                     ***  MODULE  limdyn_2  ***
    !!   Sea-Ice dynamics :  
    !!======================================================================
@@ -9,20 +9,20 @@
    !!             2.0  !  06-07  (G. Madec)  Surface module
    !!---------------------------------------------------------------------
-#if defined key_ice_lim
-   !!----------------------------------------------------------------------
-   !!   'key_ice_lim' :                                   LIM sea-ice model
-   !!----------------------------------------------------------------------
-   !!    lim_dyn      : computes ice velocities
-   !!    lim_dyn_init : initialization and namelist read
+#if defined key_lim2
+   !!----------------------------------------------------------------------
+   !!   'key_lim2' :                                  LIM 2.0 sea-ice model
+   !!----------------------------------------------------------------------
+   !!    lim_dyn_2      : computes ice velocities
+   !!    lim_dyn_init_2 : initialization and namelist read
    !!----------------------------------------------------------------------
    USE dom_oce        ! ocean space and time domain
    USE sbc_oce        !
    USE phycst         !
-   USE ice            !
+   USE ice_2          !
    USE ice_oce        !
-   USE dom_ice        !
-   USE iceini         !
-   USE limistate      !
-   USE limrhg         ! ice rheology
+   USE dom_ice_2      !
+   USE iceini_2       !
+   USE limistate_2    !
+   USE limrhg_2       ! ice rheology
 
    USE lbclnk         !
@@ -34,5 +34,5 @@
    PRIVATE
 
-   PUBLIC   lim_dyn   ! routine called by ice_step
+   PUBLIC   lim_dyn_2 ! routine called by sbc_ice_lim
 
    REAL(wp)  ::  rone    = 1.e0   ! constant value
@@ -47,7 +47,7 @@
 CONTAINS
 
-   SUBROUTINE lim_dyn( kt )
-      !!-------------------------------------------------------------------
-      !!               ***  ROUTINE lim_dyn  ***
+   SUBROUTINE lim_dyn_2( kt )
+      !!-------------------------------------------------------------------
+      !!               ***  ROUTINE lim_dyn_2  ***
       !!               
       !! ** Purpose :   compute ice velocity and ocean-ice friction velocity
@@ -70,5 +70,5 @@
       !!---------------------------------------------------------------------
 
-      IF( kt == nit000 )   CALL lim_dyn_init   ! Initialization (first time-step only)
+      IF( kt == nit000 )   CALL lim_dyn_init_2   ! Initialization (first time-step only)
       
       IF( ln_limdyn ) THEN
@@ -88,5 +88,5 @@
             i_jpj = jpj
             IF(ln_ctl)   CALL prt_ctl_info( 'lim_dyn  :    i_j1 = ', ivar1=i_j1, clinfo2=' ij_jpj = ', ivar2=i_jpj )
-            CALL lim_rhg( i_j1, i_jpj )
+            CALL lim_rhg_2( i_j1, i_jpj )
             !
          ELSE                                 ! optimization of the computational area
@@ -109,5 +109,5 @@
                IF(ln_ctl)   WRITE(numout,*) 'lim_dyn : NH i_j1 = ', i_j1, ' ij_jpj = ', i_jpj
                ! 
-               CALL lim_rhg( i_j1, i_jpj )
+               CALL lim_rhg_2( i_j1, i_jpj )
                ! 
                ! Southern hemisphere
@@ -120,5 +120,5 @@
                IF(ln_ctl)   WRITE(numout,*) 'lim_dyn : SH i_j1 = ', i_j1, ' ij_jpj = ', i_jpj
                ! 
-               CALL lim_rhg( i_j1, i_jpj )
+               CALL lim_rhg_2( i_j1, i_jpj )
                ! 
             ELSE                                 ! local domain extends over one hemisphere only
@@ -139,5 +139,5 @@
                IF(ln_ctl)   WRITE(numout,*) 'lim_dyn : one hemisphere: i_j1 = ', i_j1, ' ij_jpj = ', i_jpj
                ! 
-               CALL lim_rhg( i_j1, i_jpj )
+               CALL lim_rhg_2( i_j1, i_jpj )
                !
             ENDIF
@@ -182,10 +182,10 @@
       IF(ln_ctl)   CALL prt_ctl(tab2d_1=ust2s , clinfo1=' lim_dyn  : ust2s :')
 
-   END SUBROUTINE lim_dyn
-
-
-   SUBROUTINE lim_dyn_init
-      !!-------------------------------------------------------------------
-      !!                  ***  ROUTINE lim_dyn_init  ***
+   END SUBROUTINE lim_dyn_2
+
+
+   SUBROUTINE lim_dyn_init_2
+      !!-------------------------------------------------------------------
+      !!                  ***  ROUTINE lim_dyn_init_2  ***
       !!
       !! ** Purpose :   Physical constants and parameters linked to the ice
@@ -207,6 +207,6 @@
       IF(lwp) THEN                                ! Control print
          WRITE(numout,*)
-         WRITE(numout,*) 'lim_dyn_init : ice parameters for ice dynamics '
-         WRITE(numout,*) '~~~~~~~~~~~~'
+         WRITE(numout,*) 'lim_dyn_init_2: ice parameters for ice dynamics '
+         WRITE(numout,*) '~~~~~~~~~~~~~~'
          WRITE(numout,*) '       tolerance parameter                              epsd   = ', epsd
          WRITE(numout,*) '       coefficient for semi-implicit coriolis           alpha  = ', alpha
@@ -236,15 +236,15 @@
       ahiv(:,:) = ahi0 * vmask(:,:,1)
       !
-   END SUBROUTINE lim_dyn_init
+   END SUBROUTINE lim_dyn_init_2
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option          Empty module           NO LIM sea-ice model
+   !!   Default option          Empty module       NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE lim_dyn         ! Empty routine
-   END SUBROUTINE lim_dyn
+   SUBROUTINE lim_dyn_2         ! Empty routine
+   END SUBROUTINE lim_dyn_2
 #endif 
 
    !!======================================================================
-END MODULE limdyn
+END MODULE limdyn_2
